mod oyayubi;
pub use oyayubi::OYAYUBI;

use std::fmt::{Display, self};

pub enum Key {
    Oyayubi {
        latin: char,
        normal: char,
        shift: char,
        alt_shift: Option<char>,
    }
}

impl Display for Key {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        use Key::*;
        write!(f, "{}", match self {
            Oyayubi { latin, .. } => latin,
        })
    }
}